BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Common.Interfaces.ILeaveDbContext Interface Reference
Inheritance diagram for BMA.EHR.Application.Common.Interfaces.ILeaveDbContext:

## Public Member Functions
DbSet< T > | Set< T > ()
void | Attatch< T > (T entity)
Task< int > | SaveChangesAsync ()

## Member Function Documentation

## ◆ Attatch< T >()

void BMA.EHR.Application.Common.Interfaces.ILeaveDbContext.Attatch< T > | ( | T | entity | ) |

Implemented in BMA.EHR.Infrastructure.Persistence.LeaveDbContext.

Type Constraints

  T | : | class |

## ◆ SaveChangesAsync()

Task< int > BMA.EHR.Application.Common.Interfaces.ILeaveDbContext.SaveChangesAsync | ( |  | ) |

Implemented in BMA.EHR.Infrastructure.Persistence.LeaveDbContext.

## ◆ Set< T >()

DbSet< T > BMA.EHR.Application.Common.Interfaces.ILeaveDbContext.Set< T > | ( |  | ) |

Type Constraints

  T | : | class |

The documentation for this interface was generated from the following file:

- BMA.EHR.Application/Common/Interfaces/ILeaveDbContext.cs